import axios from "axios"
import qs from "qs"

export function GetDepartmentUser() {
  return axios.post('/user/getDepartmentUser')
}

export function GetDepartmentTree() {
  return axios.post('/user/getDepartmentTree')
}

export function GetUserList(pageSize, pageIndex, formInLine) {
  let data = {
    pageSize,
    pageIndex,
    departmentId: formInLine.departmentId
  }
  if(formInLine.account != '') { data = { ...data, lastName: formInLine.account } }
  return axios.post('/user/getUserList', qs.stringify(data))
}

export function GetUserInfoById(userId) {
  let data = { userId }
  return axios.post('/user/getUserInfoById', qs.stringify(data))
}

export function UpdateUserRole(userId, roleArr) {
  let data = {
    userId,
    roleArr: JSON.stringify(roleArr)
  }
  return axios.post('user/updateUserRole', qs.stringify(data))
}
